
package com.teknei.bid.karalundi.wsdl;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebService(name = "AdministrationService", targetNamespace = "http://ws.kivox.soran.com/")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface AdministrationService {


    /**
     * 
     * @param session
     * @param speakers
     * @param list
     * @return
     *     returns com.teknei.bid.wsdl.AddSpeakersToListRes
     * @throws AuthenticationException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "addSpeakersToList", targetNamespace = "http://ws.kivox.soran.com/", className = "com.teknei.bid.wsdl.AddSpeakersToList")
    @ResponseWrapper(localName = "addSpeakersToListResponse", targetNamespace = "http://ws.kivox.soran.com/", className = "com.teknei.bid.wsdl.AddSpeakersToListResponse")
    public AddSpeakersToListRes addSpeakersToList(
        @WebParam(name = "session", targetNamespace = "")
        String session,
        @WebParam(name = "list", targetNamespace = "")
        String list,
        @WebParam(name = "speakers", targetNamespace = "")
        List<String> speakers)
        throws AuthenticationException
    ;

    /**
     * 
     * @param session
     * @param speakers
     * @param list
     * @return
     *     returns com.teknei.bid.wsdl.RemoveSpeakersFromListRes
     * @throws AuthenticationException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "removeSpeakersToList", targetNamespace = "http://ws.kivox.soran.com/", className = "com.teknei.bid.wsdl.RemoveSpeakersToList")
    @ResponseWrapper(localName = "removeSpeakersToListResponse", targetNamespace = "http://ws.kivox.soran.com/", className = "com.teknei.bid.wsdl.RemoveSpeakersToListResponse")
    public RemoveSpeakersFromListRes removeSpeakersToList(
        @WebParam(name = "session", targetNamespace = "")
        String session,
        @WebParam(name = "list", targetNamespace = "")
        String list,
        @WebParam(name = "speakers", targetNamespace = "")
        List<String> speakers)
        throws AuthenticationException
    ;

    /**
     * 
     * @param session
     * @param list
     * @return
     *     returns com.teknei.bid.wsdl.DeletePrintListRes
     * @throws AuthenticationException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "deletePrintList", targetNamespace = "http://ws.kivox.soran.com/", className = "com.teknei.bid.wsdl.DeletePrintList")
    @ResponseWrapper(localName = "deletePrintListResponse", targetNamespace = "http://ws.kivox.soran.com/", className = "com.teknei.bid.wsdl.DeletePrintListResponse")
    public DeletePrintListRes deletePrintList(
        @WebParam(name = "session", targetNamespace = "")
        String session,
        @WebParam(name = "list", targetNamespace = "")
        String list)
        throws AuthenticationException
    ;

    /**
     * 
     * @param engine
     * @param session
     * @param list
     * @param type
     * @return
     *     returns com.teknei.bid.wsdl.CreatePrintListRes
     * @throws AuthenticationException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "createPrintList", targetNamespace = "http://ws.kivox.soran.com/", className = "com.teknei.bid.wsdl.CreatePrintList")
    @ResponseWrapper(localName = "createPrintListResponse", targetNamespace = "http://ws.kivox.soran.com/", className = "com.teknei.bid.wsdl.CreatePrintListResponse")
    public CreatePrintListRes createPrintList(
        @WebParam(name = "session", targetNamespace = "")
        String session,
        @WebParam(name = "list", targetNamespace = "")
        String list,
        @WebParam(name = "type", targetNamespace = "")
        String type,
        @WebParam(name = "engine", targetNamespace = "")
        String engine)
        throws AuthenticationException
    ;

}
